# $Revision: 1.13 $, $Date: 2006/04/20 07:56:31 $
Summary:	yzis - a vim-like editor
Summary(pl):	yzis - edytor podobny do vima
Name:		yzis
Version:	M3
Release:	4
License:	GPL v2
Group:		Applications/Editors
Source0:	http://yzis.org.free.fr/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	7e2d41776aa419a2bfe10ec6e69cf767
Patch0:		%{name}-desktop.patch
URL:		http://www.yzis.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	libmagic-devel
BuildRequires:	lua50-devel
BuildRequires:	ncurses-devel >= 5.4
BuildRequires:	pslib-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	unsermake >= 040805
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
yzis is a vim-like editor fully rewritten from scratch based on the
yzis framework. It already features multibuffer, syntax highlighting,
basic vim commands. Yzis also comes with a nice console mode
application and also features:
- right-to-left support
- text completion support
- search bugfixes and improvements: n, N, *, g*, #, g#
- almost all vim ranges are supported: %, , :, ',...
- macro support
- marks and visual mark support
- indent support: >, >,

%description -l pl
yzis to podobny do vima edytor napisany od zera w oparciu o
technologi yzis. Obsuguje wiele buforw, podwietlanie skadni,
podstawowe polecenia vima. Przychodzi z mi aplikacj w trybie
konsolowym, a ponadto oferuje:
- obsug pisma od prawej do lewej
- obsug dopeniania tekstu
- poprawki i ulepszenia wyszukiwania: n, N, *, g*, #, g#
- obsug prawie wszystkich zakresw vima: %, , :, ',...
- obsug makr
- obsug znacznikw i wizualnego zaznaczania
- obsug wci: >, >,

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
export CPPFLAGS="-I/usr/include/ncurses %{rpmcflags}"
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir} \
	--with-lua-includes=%{_includedir}/lua50

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	kdelnkdir=%{_desktopdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/applnk/*/* $RPM_BUILD_ROOT%{_desktopdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*
%attr(755,root,root) %{_libdir}/kde3/lib*.so
%{_libdir}/kde3/lib*.la
%{_desktopdir}/*.desktop
%{_datadir}/apps/*%{name}*
%{_datadir}/config.kcfg/*
%{_iconsdir}/*/*/apps/*.png
%{_datadir}/services/*.*
%{_datadir}/%{name}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yzis.spec,v $
Revision 1.13  2006/04/20 07:56:31  ankry
- really fixed Categories in desktop; rel. 4

Revision 1.12  2006/04/19 19:47:48  ankry
- one more desktop fix, rel. 3

Revision 1.11  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.10  2005/12/12 16:44:08  czucz
- %{_includedir} macro used

Revision 1.9  2005/05/14 07:51:27  ankry
- no->nb, desktop fixes, rel. 2

Revision 1.8  2005/02/18 20:26:46  qboosh
- longer pl, unified

Revision 1.7  2005/02/17 20:25:51  adamg
- one blank line should be enough

Revision 1.6  2005/02/17 20:08:01  arekm
- builds

Revision 1.5  2005/02/17 17:59:06  djurban
- adapterized, pslib BR
- I desperately need the sed line for removing libtool entries of X11*
  from /usr/lib/*.la (mail/jabber/irc me)

Revision 1.4  2005/02/17 17:06:31  djurban
- libmagic includes

Revision 1.3  2005/02/17 17:05:06  paszczus
- cleanups

Revision 1.2  2005/02/17 17:03:56  djurban
- fix lua50 include locations

Revision 1.1  2005/02/17 16:53:20  djurban
- initial, NFY gimme a sec
